%define major 4
%define libname %mklibname procps %{major}
%define devname %mklibname procps -d

%{?build_selinux}%{?!build_selinux:%bcond_with selinux}

Summary:	Utilities for monitoring your system and processes on your system
Name:		procps-ng
Version:	3.3.10
Release:	2
License:	GPLv2+
Group:		Monitoring
Url:		http://sourceforge.net/projects/procps-ng/
Source0:	http://downloads.sourceforge.net/project/procps-ng/Production/%{name}-%{version}.tar.xz
BuildRequires:	libtool
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(ncursesw)
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	pkgconfig(libsystemd-login)
%if %{with selinux}
BuildRequires:	selinux-devel
%endif
Provides:	procps = %{EVRD}
Provides:	procps3 = %{EVRD}
Conflicts:	procps < 3.3.10
Obsoletes:	procps < 3.3.10

%description
The procps package contains a set of system utilities which provide system
information.

%files -f %{name}.lang
%doc NEWS AUTHORS
%doc top/README.top Documentation/FAQ Documentation/BUGS
/bin/free
/bin/ps
/sbin/sysctl
%{_bindir}/pgrep
%{_bindir}/pmap
%{_bindir}/pwdx
%{_bindir}/pkill
%{_bindir}/skill
%{_bindir}/slabtop
%{_bindir}/snice
%{_bindir}/tload
%{_bindir}/top
%{_bindir}/uptime
%{_bindir}/vmstat
%{_bindir}/w
%{_bindir}/watch
%{_mandir}/man1/*.1*
%{_mandir}/man3/*.3*
%{_mandir}/man5/*.5*
%{_mandir}/man8/*.8*

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
License:	LGPLv2+

%description -n %{libname}
Main library for %{name}.

%files -n %{libname}
/%{_lib}/libprocps.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C
License:	LGPLv2+
Requires:	%{libname} = %{EVRD}
Provides:	procps-devel = %{EVRD}
Conflicts:	procps-devel < 3.3.10
Obsoletes:	procps-devel < 3.3.10

%description -n %{devname}
Development headers and library for the %{name} library.

%files -n %{devname}
%dir %{_includedir}/proc
%{_includedir}/proc/*.h
%{_libdir}/libprocps.so
%{_libdir}/pkgconfig/libprocps.pc

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches
sed -e 's#${exec_prefix}/usr/bin#${bindir}#' -i configure.ac

%build
autoreconf -fiv
%configure2_5x \
	--sbindir=/sbin \
	--disable-static \
	--enable-watch8bit \
	--disable-kill \
	--disable-pidof \
	--enable-wide-percent \
	--enable-skill \
	--enable-sigwinch \
	--with-systemd \
%if %{with selinux}
	--enable-libselinux \
%else
	--disable-libselinux \
%endif
	--enable-oomem \
	--enable-w-from 

%make

%install
%makeinstall_std

mkdir %{buildroot}/bin
mkdir %{buildroot}/%{_lib}
mv %{buildroot}%{_bindir}/free %{buildroot}/bin
mv %{buildroot}%{_bindir}/ps %{buildroot}/bin

mv %{buildroot}%{_libdir}/libprocps.so.%{major}* %{buildroot}/%{_lib}
ln -srf %{buildroot}/%{_lib}/libprocps.so.%{major}.*.* %{buildroot}%{_libdir}/libprocps.so

%find_lang %{name}


%changelog

* Tue May 10 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3.3.10-2
- (a5bbd2d) Build requires pkgconfig(libsystemd)


